Subject: [bug#28000] [PATCH] gnu: octave: Build with texinfo.

From: Arun Isaac <[email-masked]>
Date: Fri, 29 Sep 2017 20:25:06 +0530

Oops! I just realized that my patch doesn't work. Let me explain.

Octave uses makeinfo to render the built-in function documentation. So,
it complains when it is not able to find makeinfo. This is shown below:

octave:1> help sin
sh: makeinfo: command not found
warning: help: Texinfo formatting filter exited abnormally; raw Texinfo source of help text follows...
'sin' is a built-in function from the file libinterp/corefcn/mappers.cc

Moving texinfo to inputs does not fix this. I wrongly thought it did
because when I tested octave within the following environment, the
built-in documentation worked.

$ guix environment guix
$ ./pre-inst-env guix environment --ad-hoc octave

However, this was only because texinfo, having been pulled in by the
guix environment, was in the profile.

Now, I'll try to patch the octave source code so that it references the
makeinfo executable in the store. I will send a new patch when I'm done.